### Property

# Gio SocketClient:timeout

since: 2.22

#### Declaration

    property timeout: guint [ read, write, construct ]

#### Description

The I/O timeout for sockets, in seconds, or `0` for none.

Type:`guint`

Available since: 2.22

Default value | 0
Getter method | `g_socket_client_get_timeout()`
Setter method | `g_socket_client_set_timeout()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no